http://devops-guru.{region}.amazonaws.com/eventsReturns a list of the events emitted by the resources that are evaluated by DevOps Guru. You can use filters to specify which events are returned.
Pagination limit
Pagination token
Filters you can use to specify which events are returned when <code>ListEvents</code> is called.
The ID of the Amazon Web Services account.
The pagination token to use to retrieve the next page of results for this operation. If this value is null, it retrieves the first page.
The maximum number of results to return with a single call. To retrieve the remaining results, make another call with the returned <code>nextToken</code> value.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://devops-guru.{region}.amazonaws.com/events' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://devops-guru.{region}.amazonaws.com/eventsReturns a list of the events emitted by the resources that are evaluated by DevOps Guru. You can use filters to specify which events are returned.
Pagination limit
Pagination token
Filters you can use to specify which events are returned when <code>ListEvents</code> is called.
The ID of the Amazon Web Services account.
The pagination token to use to retrieve the next page of results for this operation. If this value is null, it retrieves the first page.
The maximum number of results to return with a single call. To retrieve the remaining results, make another call with the returned <code>nextToken</code> value.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://devops-guru.{region}.amazonaws.com/events' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}